/*
 * Your global styles here
 */

/* start of global variables */
:host {
    --dxp-s-section-columns-max-width: 1400px;
}

:root {
    --obp-primary-color: #0057b7;
    --obp-darkGrey-color: #4A4A4A;
    --obp-midGrey-color: #808080;
    --obp-lightGrey-color: #D8D8D8;
    --obp-lighterGrey-color: #F4F4F4;
    --obp-alert-color: #D32F2F;
    --obp-success-color: #227122;
    --obp-focus-color: #5393C1;
    --obp-white-color: #ffffff;
    --obp-fontFamily: 'HurmeGeometricSans1', sans-serif;
}
/* end of global variables */

html {
    background: var(--obp-lighterGrey-color);
}

body {
    background-color: var(--obp-lighterGrey-color);
    color: var(--obp-darkGrey-color);
    font-family: var(--obp-fontFamily) !important;
    font-size: 16px !important;
    font-weight: 400;
    line-height: 1.5;
}

.slds-rich-text-editor__output a {
    color: var(--obp-primary-color) !important;
    text-decoration: underline !important;
}

/* start of color classes */
.primary-color {
    color: var(--obp-primary-color);
}
/* end of color classes */

/* start of heading sizes */
h1, .heading1 {
    font-size: 28px !important;
    line-height: 1.125 !important
}
h2, .heading2 {
    font-size: 24px !important
}
h3, .heading3  {
    font-size: 20px !important
}
h4, .heading4 {
    font-size: 18px !important
}
h5, .heading5 {
    font-size: 16px !important
}
h6 {
    font-size: 14px !important
}
h1,h2,h3,h4,h5,h6 {
    /* color: var(--obp-primary-color); */
    font-family: var(--obp-fontFamily) !important;
    font-weight: 700;
}
h2,h3,h4,h5,h6 {
    line-height: 1.25 !important
}
/* end of heading sizes */

/* start of button css */
.obp-button,
.obp__standard-banner .container .slds-button,
.forceCommunityBannerLayout .bannerLayoutButton {
    border: 1px solid var(--obp-primary-color) !important;
    border-radius: 25px !important;
    display: inline-block;
    font-size: 16px !important;
    font-weight: 600;
    line-height: 20px !important;
    padding: 14px 30px !important;
    text-align: center !important;
    text-decoration: none !important;
    -webkit-appearance: none;
    white-space: normal;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    min-width: 120px;
    outline-offset: 2px;
    transition: background 0.24s ease 0s, color 0.24s ease 0s, outline 0.24s ease 0s;
    transform: none !important;
}
a:focus,
.obp-button:focus,
.obp-btn-link:focus,
button:focus-visible,
.obp__standard-banner .container .slds-button:focus,
.forceCommunityBannerLayout .bannerLayoutButton:focus {
    outline-offset: 2px;
    outline: 2px solid var(--obp-focus-color) !important;
    box-shadow: none !important;
}
a:focus,
a:focus-visible {
    text-decoration: none !important;
}
.obp-btn-link {
    background: transparent !important;
    border: 0 !important;
    color: var(--obp-primary-color) !important;
    padding: 2px !important;
    text-decoration: underline !important;
}
.obp-btn-link:hover,
.obp-btn-link:focus {
    text-decoration: none !important;
}
/* end of button css */

/* Start of primary button */
.obp-primary-button,
button.slds-button_brand {
    background-color: var(--obp-primary-color) !important;
    color: #FFF !important;
}
.obp-primary-button:disabled,
button.slds-button_brand:disabled {
    background-color: var(--obp-lightGrey-color) !important;
    border-color: var(--obp-lightGrey-color) !important;
    color: var(--obp-darkGrey-color) !important;
    pointer-events: none;
}
.obp-primary-button:hover,
button.slds-button_brand:hover {
    background-color: #FFF !important;
    color: var(--obp-primary-color) !important;
}
/* End of primary button */

/* Start of outline button */
.obp-outline-button,
.slds-button_outline-brand {
    background-color: transparent !important;
    color: var(--obp-primary-color) !important;
}
.obp-outline-button:hover,
.slds-button_outline-brand:hover {
    background-color: var(--obp-primary-color) !important;
    color: #FFF !important;
}
/* End of outline button */

/* Start of white button */
.obp-white-button,
.obp__standard-banner .container .slds-button,
.forceCommunityBannerLayout .bannerLayoutButton {
    background-color: #FFF !important;
    border-color: #fff !important;
    color: var(--obp-primary-color) !important;
}
.obp-white-button:hover,
.obp__standard-banner .container .slds-button:hover,
.forceCommunityBannerLayout .bannerLayoutButton:hover {
    background-color: var(--obp-primary-color) !important;
    border-color: var(--obp-primary-color) !important;
    color: #FFF !important;
}
/* End of white button */

/* Start of form fields style */
.slds-required,
.slds-form-element__help {
    color: var(--obp-alert-color) !important;
    font-size: 14px !important;
}
.slds-has-error .slds-input,
.slds-has-error .slds-select,
.slds-has-error .slds-textarea,
.slds-has-error .slds-combobox__input {
    border-color: var(--obp-alert-color) !important;
    box-shadow: 0px 0px 0px 1px var(--obp-alert-color) !important;
    font-size: 14px !important;
}
.slds-form-element {
    margin: 0 0 1.25rem;
}
.slds-form-element .slds-form-element__label {
    color: var(--obp-darkGrey-color);
    font-size: 14px !important;
    padding: 0 !important;
    margin: 0 0 0.25rem;
}
.slds-form-element .slds-checkbox + .slds-checkbox,
.slds-form-element .slds-radio + .slds-radio {
    margin: 10px 0 0;
}
.slds-form-element .slds-checkbox__label,
.slds-form-element .slds-radio__label {
    display: inline-flex;
    align-items: center;
    margin: -1px 0 0 0;
}
.slds-checkbox .slds-form-element__label,
.slds-radio .slds-form-element__label {
    color: #1a4091 !important;
}
.slds-checkbox [type=checkbox]+.slds-checkbox__label .slds-checkbox_faux,
.slds-radio [type=radio]+.slds-radio__label .slds-radio_faux {
    border: solid 1px var(--obp-midGrey-color) !important;
    background-color: transparent !important;
    margin: 0 10px 0 0 !important;
    height: 20px !important;
    width: 20px !important;
}
.slds-checkbox [type=checkbox]+.slds-checkbox__label .slds-checkbox_faux {
    padding: 3px 2px 4px 3px !important;
    border-radius: 5px !important;
}
.slds-radio [type=radio]:checked+.slds-radio__label .slds-radio_faux::after {
    background: var(--obp-primary-color) !important;
    height: 0.75rem !important;
    width: 0.75rem !important;
}
.slds-checkbox [type=checkbox]:checked+.slds-checkbox__label .slds-checkbox_faux::after {
    border-color: var(--obp-primary-color) !important;
    border-width: 3px !important;
    height: 6px !important;
    width: 13px !important;
    top: 45% !important;
}
.slds-checkbox [type=checkbox]:focus+.slds-checkbox__label .slds-checkbox_faux,
.slds-radio [type=radio]:focus+.slds-radio__label .slds-radio_faux {
    box-shadow: 0 0 0 2px #ffffff, 0 0 0 4px var(--obp-focus-color) !important;
}
.slds-form-element .slds-form-element__control .slds-input__icon {
    display: none;
}
.slds-form-element__control .slds-input,
.slds-form-element__control .slds-select,
.slds-form-element__control .slds-textarea,
.slds-form-element__control .slds-combobox__input {
    background-color: #fff !important;
    color: var(--obp-darkGrey-color) !important;
    border-color: var(--obp-midGrey-color);
    border-radius: 5px !important;
    font-size: 14px !important;
    width: 100%;
}
.slds-form-element__control .slds-input:disabled,
.slds-form-element__control .slds-select:disabled,
.slds-form-element__control .slds-textarea:disabled,
.slds-form-element__control .slds-combobox__input:disabled {
    background-color: var(--obp-lighterGrey-color) !important;
}
.slds-form-element__control .slds-input,
.slds-form-element__control .slds-select {
    height: 50px !important;
    padding: 0px 1.5rem 0px 0.75rem !important;
}
.slds-form-element__control .slds-textarea {
    padding: 0.5rem 1.5rem 0.5rem 0.75rem !important;
}
.slds-form-element__control .slds-select_container:before,
.slds-form-element__control .slds-select_container:after {
    border: none !important;
}
.slds-form-element__control .slds-combobox__input {
    min-width: 100px;
    height: 50px !important;
    position: relative;
    padding: 8px 1.5rem 8px 0.75rem !important;
}
.slds-form-element__control .slds-select_container:after,
.slds-form-element__control .slds-combobox__form-element:after {
    content: "";
    border-top: 8px solid var(--obp-darkGrey-color) !important;
    border-left: 7px solid transparent !important;
    border-right: 7px solid transparent !important;
    position: absolute;
    top: 50% !important;
    right: 12px !important;
    transform: translateY(-50%);
}
.slds-form-element__control .slds-combobox__input .slds-truncate {
    font-size: 14px !important;
}
.slds-form-element__control .slds-combobox__form-element .slds-input__icon-group {
    display: none;
}
.slds-form-element__control .slds-input:focus,
.slds-form-element__control .slds-input:active,
.slds-form-element__control .slds-select:focus,
.slds-form-element__control .slds-select:active,
.slds-form-element__control .slds-textarea:focus,
.slds-form-element__control .slds-textarea:active,
.slds-form-element__control .slds-combobox__input:focus,
.slds-form-element__control .slds-combobox__input:active {
    border-color: var(--obp-primary-color) !important;
    box-shadow: 0px 0px 0px 1px var(--obp-primary-color) !important;
    outline: 0;
}
input[type="password"]::-ms-reveal,
input[type="password"]::-ms-clear {
    display: none !important;
}
/* End of form fields style */

/* Start of Badge style */
.obp-badge {
    border-radius: 5px;
    display: inline-block;
    padding: 2px 5px 3px;
    font-size: 14px;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    text-transform: uppercase;
    white-space: nowrap;
    vertical-align: baseline;
    height: 20px;
}
.obp-primary-badge {
    background-color: var(--obp-primary-color);
    color: #FFF;
}
.obp-white-badge {
    background-color: #FFF;
    color: var(--obp-primary-color);
}
/* End of Badge style */

/* Start of line clamp style */
.line-clamp-2,
.line-clamp-3,
.line-clamp-5 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}
.line-clamp-2 {
    -webkit-line-clamp: 2;
}
.line-clamp-3 {
    -webkit-line-clamp: 3;
}
.line-clamp-5 {
    -webkit-line-clamp: 5;
}
/* End of line clamp style */

/* Start of modal popup */
.slds-modal__footer .obp-button {
  width: 100%;
}
.slds-modal__footer .obp-button + .obp-button {
  margin: 1.25rem 0px 0px 0px;
}
/* End of modal popup */

/* Start of carousel prev/next button */
.carousel-prev-btn,
.carousel-next-btn {
    background-color: #fff !important;
    border: 0 !important;
    border-radius: 50% !important;
    box-shadow: 0 3px 10px 0 rgb(0 0 0 / 16%) !important;
    height: 50px !important;
    width: 50px !important;
    padding: 0 14px !important;
    line-height: 1 !important;
    outline-offset: 2px;
    outline: none;
    display: none;
}
.carousel-prev-btn:hover,
.carousel-next-btn:hover,
.carousel-prev-btn:focus,
.carousel-next-btn:focus {
    background-color: var(--obp-primary-color) !important;
}
.carousel-prev-btn:after {
    content: url('/sfsites/c/resource/OBPML_Assets/dist/icons/left-arrow-blue.svg');
    width: 22px;
}
.carousel-prev-btn:hover:after,
.carousel-prev-btn:focus:after {
    content: url('/sfsites/c/resource/OBPML_Assets/dist/icons/left-arrow-white.svg');
}
.carousel-next-btn:after {
    content: url('/sfsites/c/resource/OBPML_Assets/dist/icons/right-arrow-blue.svg');
    width: 22px;
}
.carousel-next-btn:hover:after,
.carousel-next-btn:focus:after {
    content: url('/sfsites/c/resource/OBPML_Assets/dist/icons/right-arrow-white.svg');
}
/* End of carousel prev/next button */

/* Start of stretched link style */
.stretched-link::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
    pointer-events: auto;
    background-color: rgba(0, 0, 0, 0);
}
/* End of stretched link style */

/* Start of utility classes */
.section-wrapper {
    padding: 0 1rem;
    margin: 1.875rem 0;
}
.slds-backdrop {
    background-color: rgba(0, 87, 183, 0.8) !important;
}
.card {
    background: #fff;
    border-radius: 1.25rem;
    display: flex;
    flex-direction: column;
    min-height: 100%;
    position: relative;
    transition: all ease .4s;
    box-shadow: 0 10px 10px -5px rgba(0, 0, 0, 0.1);
}
.card__header {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    width: 100%;
    position: relative;
}
.card__body {
    flex: 1;
    padding: 1.25rem 1.25rem 1.875rem;
}
/* End of utility classes */

/* Start of Global layout style */
.community_byo-scoped-header-and-footer__header-content,
.community_byo-scoped-header-and-footer__footer-content {
    background-color: #fff !important;
}
community_byo-scoped-header-and-footer > header {
    background-color: #fff !important;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.07) !important;
}
community_byo-scoped-header-and-footer > footer {
    margin: 1.875rem 0 0 0 !important;
}
/* End of Global layout style */

/* Start of Producthub */
.carousel-wrapper .slds-rich-text-editor__output img.defaultImageStyle {
    height: 16px;
    position: relative;
    top: 5px;
}
.carousel-wrapper .slds-rich-text-editor__output img.descriptionImageStyle {
    width: auto !important;
    height: 100px !important;
}
.section-wrapper[data-page="ProductHub_Oral_B_iO_Toothbrushes__c"] .carousel-wrapper .slds-rich-text-editor__output img.defaultImageStyle {
    height: 60px !important;
}
/* Start of Producthub */

/* Start of Cookie banner */
#onetrust-banner-sdk {
    border-radius: 0;
}
#onetrust-banner-sdk #onetrust-policy-title {
    font-size: 1.25rem !important;
    font-weight: 600;
}
#onetrust-banner-sdk .ot-cat-header {
    font-size: .9em !important;
}
#onetrust-pc-sdk #ot-pc-title {
    font-size: 1.37em !important;
}
#onetrust-pc-sdk .category-menu-switch-handler h3, 
#onetrust-pc-sdk .category-menu-switch-handler p[aria-level="3"],
#onetrust-pc-sdk .ot-desc-cntr h4, 
#onetrust-pc-sdk .ot-desc-cntr p[aria-level="4"] {
    font-size: .875em !important;
}
/* End of Cookie banner */

.obp__standard-banner {
    margin: 0 0 1.875rem 0 !important;
}
.obp__standard-banner .main-content-container {
    padding: 1rem !important;
}

/* Start of Registration page style */
.obp_registerWrapper .slds-rich-text-editor__output a {
    color: var(--obp-primary-color);
    display: inline-block;
    text-decoration: underline;
    font-weight: 600;
}
.obp_registerWrapper .slds-rich-text-editor__output a:hover {
    text-decoration: none;
}
.obp_registerWrapper .tooltip-container {
    position: relative;
    display: inline-block;
}
.obp_registerWrapper .tooltip-trigger {
    cursor: help;
}
.obp_registerWrapper .tooltip {
    background-color: #dbe4ed;
    border-radius: 1.25rem;
    position: absolute;
    bottom: 125%;
    left: 50%;
    transform: translateX(-50%);
    padding: 15px;
    min-width: 300px;
    z-index: 1000;
    opacity: 0;
    visibility: hidden;
}
.obp_registerWrapper .tooltip-container:hover .tooltip,
.obp_registerWrapper .tooltip-container:focus-within .tooltip {
    opacity: 1;
    visibility: visible;
}
.obp_registerWrapper .tooltip::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -10px;
    border-width: 10px;
    border-style: solid;
    border-color: #dbe4ed transparent transparent transparent;
}
/* End of Registration page style */

/* Start of Contact style */
.feedback-contact-support .feedback-oralb-info a,
.feedback-contact-support .feedbackForm-privacy-link a,
.feedback-contact-support .feedbackForm-legal-text a {
    font-weight: 700;
    text-decoration: underline;
}
/* End of Contact style */

/* Start of media query */
@media only screen and (min-width: 576px) {
    .slds-modal__footer .obp-button {
        width: auto;
    }
    .slds-modal__footer .obp-button + .obp-button {
        margin: 0px 0px 0px 1.25rem;
    }
}

@media only screen and (min-width: 768px) {
    h1, .heading1 {
        font-size: 32px !important;
    }
    .section-wrapper {
        padding: 0 3.4375rem;
        margin: 45px 0;
    }
    .obp__standard-banner {
        margin: 0 0 2.813rem 0 !important;
    }
    .obp__standard-banner .main-content-container {
        padding: 1rem 3.4375rem !important;
    }
    .obp__standard-banner .columns-content {
        flex-direction: row !important;
    }
    .obp__standard-banner .columns-content [data-layout-direction~='tablet-direction-column']:first-child {
        padding: 0 1.25rem 0 0;
    }
    .obp__standard-banner .columns-content [data-layout-direction~='tablet-direction-column']:last-child {
        padding: 0 0 0 1.25rem ;
    }
    community_byo-scoped-header-and-footer > footer {
        margin: 2.813rem 0 0 !important
    }
    .carousel-prev-btn,
    .carousel-next-btn {
        display: flex !important;
        align-items: center !important;
    }
}

@media only screen and (min-width: 992px) {
    h1, .heading1 {
        font-size: 36px !important;
    }
    h2, .heading2 {
        font-size: 28px !important;
    }
    h3, .heading3 {
        font-size: 24px !important;
    }
    h4, .heading4 {
        font-size: 20px !important;
    }
    h5 {
        font-size: 18px !important;
    }
    h6 {
        font-size: 16px !important;
    }    
}

@media only screen and (min-width: 1025px) {
    .section-wrapper {
        padding: 0 4.375rem;
    }
    .obp__standard-banner .main-content-container {
        padding: 1rem 4.375rem !important;
    }
    .obp__standard-banner .columns-content [data-layout-direction~='tablet-direction-column']:first-child,
    .obp__standard-banner .columns-content [data-layout-direction~='tablet-direction-column']:last-child {
        padding: 0;
    }
}

@media only screen and (min-width: 1200px) {
    h1, .heading1 {
        font-size: 42px !important;
    }
    h2, .heading2 {
        font-size: 32px !important;
    }
}

@media only screen and (min-width: 1400px) {
    h1, .heading1 {
        font-size: 48px !important;
    }
    h2, .heading2 {
        font-size: 36px !important;
    }
    .section-wrapper {
        padding: 0 5rem;
        margin: 5.625rem 0;
    }
    .obp__standard-banner .main-content-container {
        padding: 1rem 5rem !important;
    }
}
/* End of media query */
